Bug 1256240 - libburn cdrskin should add link to cdrecord
Summary: libburn cdrskin should add link to cdrecord
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libburn
Version: 23
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Frantisek Kluknavsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-24 07:05 UTC by Knut J BJuland
Modified: 2016-01-08 03:23 UTC (History)
4 users (show)

Fixed In Version: libburn-1.4.2-1.fc23 libburn-1.4.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-31 00:54:14 UTC
Type: Bug


Attachments (Terms of Use)
The error message given by k3b when using cdrskin when buring Centos 64bit 7 DVD (87.29 KB, image/png)
2015-12-29 14:25 UTC, Knut J BJuland
no flags Details

Description Knut J BJuland 2015-08-24 07:05:17 UTC
Description of problem:
cdrskin do not have links to etc/alternative as wodim

Version-Release number of selected component (if applicable):

1.4

Please add link from cdskin to /etc/alternative cdrecord.Has there been any change to https://fedoraproject.org/wiki/Features/Burnia_as_default.

Comment 1 Knut J BJuland 2015-08-24 07:06:06 UTC
I have add these link on my PC and buring seem to work as well as with wodim.

Comment 2 Robert Scheck 2015-08-24 07:20:58 UTC
Knut, which links did you add specifically? The package "cdrkit" adds more
(cdrecord, dvdrecord, readcd and 4 man pages), thus this should be at least
verified on packager side for cdrskin (libburn).

Comment 3 Knut J BJuland 2015-09-04 11:42:51 UTC
Hi I have added this 
linkreadlink /etc/alternatives/cdrecord 
/usr/bin/cdrskin

I made it using alternative. I have tried to add these link in the SPEC file but I failed to create a new rpm.

Comment 4 Fedora Update System 2015-12-25 01:28:11 UTC
libisoburn-1.4.2-1.fc23 libburn-1.4.2-1.fc23 libisofs-1.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-092f30768a

Comment 5 Fedora Update System 2015-12-25 01:29:53 UTC
libisoburn-1.4.2-1.fc22 libburn-1.4.2-1.fc22 libisofs-1.4.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d8f8d86d9c

Comment 6 Knut J BJuland 2015-12-26 15:15:37 UTC
Please sent to resolved.

Comment 7 Robert Scheck 2015-12-26 15:27:25 UTC
This bug report will be automatically closed by Bodhi as update manager once
the updates reached stable repositories.

Comment 8 Fedora Update System 2015-12-29 00:56:41 UTC
libburn-1.4.2-1.fc23, libisoburn-1.4.2-1.fc23, libisofs-1.4.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-092f30768a

Comment 9 Knut J BJuland 2015-12-29 08:19:26 UTC
I have some trouble with dvd image while using k3b? How can I debug this and provide you with the right information.

Comment 10 Robert Scheck 2015-12-29 13:01:29 UTC
I don't know about k3b, sorry. Check the k3b settings for example. According
to cdrskin documentation cdrskin only offers a compatibility frontend to the
cdrecord tool, not to dvdrecord - which could be an issue. Otherwise it would
be helpful if you could provide error messages or similar.

Comment 11 Knut J BJuland 2015-12-29 14:25:52 UTC
Created attachment 1110241 [details]
The error message given by k3b when using cdrskin when buring Centos 64bit 7 DVD

The error message given by k3b when using cdrskin

Comment 12 Knut J BJuland 2015-12-29 14:27:31 UTC
It worked from command line. 

cdrecord dev=/dev/sr0 CentOS-7-x86_64-DVD-1511.iso 
cdrskin 1.4.2 : limited cdrecord compatibility wrapper for libburn
cdrskin: NOTE : greying out all drives besides given dev='/dev/sr0'
cdrskin: scanning for devices ...
cdrskin: ... scanning for devices done

Note: This is not cdrecord by Joerg Schilling. Do not bother him.
      See cdrskin start message on stdout. See --help. See -version.

cdrskin: beginning to burn disc
Waiting for reader process to fill input buffer ... input buffer ready.
Track 01: Total bytes read/written: 4329570304/4329570304 (2114048 sectors).

Comment 13 Knut J BJuland 2015-12-29 14:32:09 UTC
 cdrecord --devices
cdrskin 1.4.2 : limited cdrecord compatibility wrapper for libburn
cdrskin: scanning for devices ...
cdrskin: ... scanning for devices done

Note: This is not cdrecord by Joerg Schilling. Do not bother him.
      See cdrskin start message on stdout. See --help. See -version.

cdrskin: Overview of accessible drives (2 found) :
-----------------------------------------------------------------------------
0  dev='/dev/sr0'  rwrw-- :  'Optiarc '  'DVD RW AD-5260S'
1  dev='/dev/sr1'  rwrw-- :  'TSSTcorp'  'BDDVDW SE-506BB'

Comment 14 Robert Scheck 2015-12-29 14:48:48 UTC
From my point of view this is a compatibility issue between k3b and cdrskin,
see e.g. http://scdbackup.sourceforge.net/k3b_on_cdrskin.html or also
http://lists.freedesktop.org/archives/libburn/2006-January/000318.html for
some hints.

Comment 15 Knut J BJuland 2015-12-29 15:04:10 UTC
OK. I will file a bug in k3b. Please close.

Comment 16 Fedora Update System 2015-12-30 20:55:30 UTC
libburn-1.4.2-1.fc22, libisoburn-1.4.2-1.fc22, libisofs-1.4.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d8f8d86d9c

Comment 17 Fedora Update System 2015-12-31 00:54:03 UTC
libburn-1.4.2-1.fc23, libisoburn-1.4.2-1.fc23, libisofs-1.4.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-01-08 03:23:13 UTC
libburn-1.4.2-1.fc22, libisoburn-1.4.2-1.fc22, libisofs-1.4.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.